Subject: Re: bug#40693: 28.0.50; json-encode-alist changes alist

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Apr 2020 18:07:25 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 29 Apr 2020 18:02:52 +0300
> 
> > Sounds like a somewhat hairy issue.  Then let's put this on master
> > first.  If this turns out to be a very popular change, and no one
> > complains, we could later back-port it to some 27.x version.
> 
> *shrug*, I'm certainly not going to insist, but we could push the 
> "slightly slower" simple patch to emacs-27, and go with Basil's refactor 
> (sounds exciting!) on master.

I'd rather not risk an extra pretest just because of an issue that has
been with us for a long time.  Emacs 27 is already way too late.